"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFolderConfig = exports.getDefaultConfig = void 0;
function getDefaultConfig(uid) {
    return {
        uid,
        key: [],
        keysecondary: [],
        comment: "",
        content: "",
        constant: true,
        vectorized: false,
        selective: true,
        selectiveLogic: 0,
        addMemo: true,
        order: 100,
        position: 1,
        disable: false,
        excludeRecursion: false,
        preventRecursion: false,
        delayUntilRecursion: false,
        probability: 100,
        useProbability: true,
        depth: 4,
        group: "",
        groupOverride: false,
        groupWeight: 100,
        scanDepth: null,
        caseSensitive: null,
        matchWholeWords: null,
        useGroupScoring: null,
        automationId: "",
        role: null,
        sticky: 0,
        cooldown: 0,
        delay: 0,
        displayIndex: 0
    };
}
exports.getDefaultConfig = getDefaultConfig;
function getFolderConfig(uid, folderName, isEnd = false) {
    const config = getDefaultConfig(uid);
    return {
        ...config,
        comment: isEnd ? `[/${folderName}]` : `[${folderName}]`,
        content: "",
        constant: false,
        disable: true
    };
}
exports.getFolderConfig = getFolderConfig;
//# sourceMappingURL=configParser.js.map