"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mergeConfigs = exports.readLocalConfig = void 0;
const path = require("path");
const fs = require("fs");
async function readLocalConfig(dirPath) {
    const configPath = path.join(dirPath, 'CONFIG.json');
    try {
        if (fs.existsSync(configPath)) {
            const configContent = fs.readFileSync(configPath, 'utf8');
            return JSON.parse(configContent);
        }
    }
    catch (error) {
        console.error(`Error reading CONFIG.json at ${dirPath}:`, error);
    }
    return null;
}
exports.readLocalConfig = readLocalConfig;
function mergeConfigs(defaultConfig, localConfig, fileConfig) {
    return {
        ...defaultConfig,
        ...(localConfig || {}),
        ...fileConfig,
        uid: defaultConfig.uid
    };
}
exports.mergeConfigs = mergeConfigs;
//# sourceMappingURL=configProcessor.js.map